Adobe na Linux dlabe a co státní správa?

Je to dávno, co jsem napsal článek o ignoraci GNU/Linuxu v Adobe, ale dokud šlo „pouze“ o technologii Flash, tak se nic zásadního nedělo. Konec Adobe Acrobat Readeru pro GNU/Linux už problém je.

Pro běžného uživatele není problém

Přečtení PDF není v GNU/Linuxu a dalších svobodných systémech problém, je to otevřený a dokumentovný formát (ISO 32000-1:2008), pokud se jedná o běžné čtení. Uživatel si může vybrat třeba Evince, nebo Okular, prohlížení PDF podporují běžně používané webové prohlížeče Mozilla Firefox, či Chromium/Chrome a pokud ani to není dost, má jsou k disozici programu, v nichž lze PDF i updavit (Inkscape, LibreOffice/OpenOffice.org Draw). Prostě nástrojů je dostatek, pokud si chce přešíst dokumentaci, eKnihu, nebo má protějšek, který podklady posílá zásadně v PDF.

Nástrojů na vytvoření obyčejného pdf je také dost, export je poměrně běžně podporován v kancelářských balících i dalším software. Pokud není, je možné použít virtuální tiskárnu (netiskne na papír, ale výstupem je soubor).

Zatím nic problému nenasvědčuje.

Problém však nastane…

Avšak pokud PDF vybočí z formátu „needitovatelných“ dokumentů (text s obrázky), tak začíná problém. Do PDF lze vložit multimediální prvky, formulář pro vyplnění a nakonec to vše digitálně podepsat.

Co se týče podpisu, lze jej ověřit aplikací PortableNotary (ke stažení je na SourceForge), ale kolik běžných uživatelů je ochotných pracovat s příkazovou řádkou? Pro podepsání lze použít třeba JSignPdf, který funguje i jako plugin v OpenOffice.org/LibreOffice (vestavěné podepisování prostě nefunguje).

Teoreticky zůstává problémem jen multimediální obsah a formuláře.

…a může být i poměrně velký

Jednou z oblíbených kratochvílí bytokracie je sčítání lidu, které probíhá 1× za 10 let. Při posledním sčítání byla možnost využít i elektronického odeslání, z pdf formuláře, nikdo se nemusel vracet pro vyplněný sčítací formulář a vyplňující snížil pravděpodobnost zavedení chyby při přepisu z papíru do databáze ČSÚ.

Česká Správa Sociálního Zabezpečení; zdravotní pojišťovny; PostSignum, patří mezi úřady, kde potřebuji při komunikaci pdf formulář. A našel bych mnohé další.

Ne že bych neměl (zcela legálně) všechny počítače jako dual boot, takže Adobe Acrobat Reader mohu použít ve Windows verzi. Nicméně mi vynucování „správného OS a software“ pro komunikaci s institucemi vadí. Teoreticky pamatuje legislativa EU na nutnost umět komunikovat otevřenými formáty, avšak co je to platné, když v otevřeném formátu požaduje možnosti, které žádný svobodný program nepodporuje.

Řešením?

Jedním z možných řešení, pro jmenované případy, by mohl být klasický webový formulář. Musela by se zajistit správně autentizace, aby bylo zřejmé kdo formulář odesílá (třeba certifikátem od PostSignum, leč kolik lidí je ochotných zaplatit za cerifikát), a validace podání.

Další řešení je tak trochu drbáním levou nohou za pravým uchem, používat Adobe Acrobat Reader ve Wine/CrossOver (cenová politika CrossOver není tak nepřijatelná).

Poslední možnost, co mě napadá je zaplacení doplnění podpory Xpdf/Evince/Okular/… přímo vývojářům. Je mi jedno do kterého by podpora byla doplněna, nejsem purista, který ve svém Cinnamonu chce jen GTK aplikace.